💀Proof-of-Concept for CVE-2018-7600 Drupal SA-CORE-2018-002
Switch branches/tags
Nothing to show
Clone or download
Latest commit c722849 Apr 18, 2018

README.md

IMPORTANT: Is provided only for educational or information purposes.

Protect rules for ModSecurity (by fuzzylogic)
Protect rules for ModRewrite .htaccess


FOR MEDIA:
Please do not post a link to this repository in your articles, without specifying how to protect against an attack (recommend updating Drupal, setting rules for WAF, etc.)


PoC based CheckPoint article.
https://research.checkpoint.com/uncovering-drupalgeddon-2/
by Eyal Shalev, Rotem Reiss and Eran Vaknin

PoC not working on Drupal 7.x. See here for Drupal 7.x & 8.x


CVE-2018-7600 / SA-CORE-2018-002 Drupal before 7.58, 8.x before 8.3.9, 8.4.x before 8.4.6, and 8.5.x before 8.5.1 allows remote attackers to execute arbitrary code because of an issue affecting multiple subsystems with default or common module configurations.